Package org.bukkit.scheduler

# Interface BukkitWorker

public interface BukkitWorker
Represents a worker thread for the scheduler. This gives information about the Thread object for the task, owner of the task and the taskId.

Workers are used to execute async tasks.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Plugin`
`getOwner()`
Returns the Plugin that owns this task.
`int`
`getTaskId()`
Returns the taskId for the task being executed by this worker.
`@NotNull Thread`
`getThread()`
Returns the thread for the worker.

## Method Details

### getTaskId

int getTaskId()
Returns the taskId for the task being executed by this worker.

Returns:
  Task id number

### getOwner

@NotNull @NotNull Plugin getOwner()
Returns the Plugin that owns this task.

Returns:
  The Plugin that owns the task

### getThread

@NotNull @NotNull Thread getThread()
Returns the thread for the worker.

Returns:
  The Thread object for the worker